<?php
/**
 * Drawroot  Map default controller
 * 
 * @package    Joomla.component
 * @subpackage Components
 * @link http://inetlanka.com
 * @license		GNU/GPL
 * @auth inetlanka web team - [ info@inetlanka.com / inetlankapvt@gmail.com ]
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Drawroot Drawroot Controller
 *
 * @package    Joomla.component
 * @subpackage Components
 */
class DrawrootsControllerDrawroot extends DrawrootsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'add'  , 	'edit' );
	}

	/**
	 * display the edit form
	 * @return void
	 */
	function edit()
	{
		JRequest::setVar( 'view', 'drawroot' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}

	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('drawroot');

		if ($model->store($post)) {
			$msg = JText::_( 'Drawroot map Saved!' );
		} else {
			$msg = JText::_( 'Error Saving Drawroot map' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		$link = 'index.php?option=com_drawroot';
		$this->setRedirect($link, $msg);
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function remove()
	{
		$model = $this->getModel('drawroot');
		if(!$model->delete()) {
			$msg = JText::_( 'Error: One or More Drawroot map Could not be Deleted' );
		} else {
			$msg = JText::_( 'Drawroot(s) Deleted' );
		}

		$this->setRedirect( 'index.php?option=com_drawroot', $msg );
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_drawroot', $msg );
	}
}